Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.shapes
Class Ellipse

    java.lang.Object
      |
      +--com.vistech.shapes.Shapes
            |
            +--com.vistech.shapes.Ellipse

All Implemented Interfaces:
  java.lang.Cloneable, Drawable, Fillable, java.io.Serializable

public class Ellipse
extends Shapes
implements Fillable

Represents an interactively drawable ellipse.

Version:
  1.0 20 Dec 1999
Author:
  Larry Rodrigues
See Also:
  Serialized Form

Field Summary
`protected boolean` | `filled`
`protected int` | `ht` Bounding box parameters.
`protected int` | `wid` Bounding box parameters.

Fields inherited from class com.vistech.shapes.Shapes
`basicStroke, cur, drawingColor, fillColor, fillOn, font, path, shapeCount, smallRectsOn, st`

Fields inherited from interface com.vistech.shapes.Drawable
`ANNOTEXT, ARROW, BOX, CUBIC_CURVE, CURVE, DOUBLE_HEADED_ARROW, ELLIPSE, LINE, NONE, POLYGON`

Constructor Summary
`Ellipse()`

Method Summary
`boolean` | `contains(java.awt.Graphics2D g, int x, int y)` Vhecks whether the specified point contained in the shape.
`void` | `draw(java.awt.Graphics2D g)` Draws the shape permanently, which happens when the mouse is released.
`void` | `drawEllipse(java.awt.Graphics2D g)`
`void` | `drawInteractive(java.awt.Graphics2D g)` Draws interactively on a Graphics context g.
`void` | `drawPermanent(java.awt.Graphics2D g)` Draws on a Graphics context g.
`void` | `drawSmallRects(java.awt.Graphics2D g)` Draws small rectangle at the shape corners to indicate that the shape is active.
`void` | `erase(java.awt.Graphics2D g)` Erase the shape.
`void` | `fill(java.awt.Graphics2D g, java.awt.Color color)` Fills with a given color.
`void` | `fillEllipse(java.awt.Graphics2D g)`
`void` | `init(int x, int y)` Initializes the Ellipse parameters.
`void` | `move(java.awt.Graphics2D g, int diffx, int diffy)` Moves the shape by a specified displacement.
`Shapes` | `saveCurShape(java.awt.Graphics2D g, int shCnt)` Draws and returns itself.
`void` | `setCurrentPosition(int x, int y)` Sets the current point.

Methods inherited from class com.vistech.shapes.Shapes
`contains, copy, getCurrentPosition, getDrawingColor, getFillColor, getFillOn, getFont, getGeneralPath, getShapeCount, getSmallRectsOn, getStartPosition, getStroke, setCurrentPosition, setDrawingColor, setFillColor, setFillOn, setFont, setGeneralPath, setShapeCount, setSmallRectsOn, setStartPosition, setStroke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.vistech.shapes.Drawable
`setCurrentPosition`

Field Detail

### wid

    protected int wid

  Bounding box parameters.

### ht

    protected int ht

  Bounding box parameters.

### filled

    protected boolean filled

Constructor Detail

### Ellipse

    public Ellipse()

Method Detail

### init

    public void init(int x,
                     int y)

  Initializes the Ellipse parameters. The arguments provide the starting point of the Ellipse which may be the upper left hand corner(ULHC) or bottom righthand corner coordinates(BRHC) of the bounding box sorrounding the ellipse.
  Specified by:
    `init` in interface `Drawable`
  Overrides:
    `init` in class `Shapes`
  Parameters:
    `x` - the x coordinate of the starting position.
    `y` - the y coordinate of the starting poistion.

### setCurrentPosition

    public void setCurrentPosition(int x,
                                   int y)

  Sets the current point.
  Parameters:
    `x` - the x coordinate of the current position.
    `y` - the y coordinate of the current poistion.

### drawInteractive

    public void drawInteractive(java.awt.Graphics2D g)

  Draws interactively on a Graphics context g. This API does not check whether the Ellipse overflows the borders of the component. This method uses the XOR paint mode. It erases the previously drawn shape and draws a new shape in its place.
  Specified by:
    `drawInteractive` in interface `Drawable`
  Parameters:
    `g` - the graphics object on which the shape is to be drawn.

### drawPermanent

    public void drawPermanent(java.awt.Graphics2D g)

  Draws on a Graphics context g. This API does not check whether the Ellipse overflows the borders of the component.
  Parameters:
    `g` - the graphics object on which the shape is to be drawn.

### contains

    public boolean contains(java.awt.Graphics2D g,
                            int x,
                            int y)

  Description copied from class: `Shapes`
  Vhecks whether the specified point contained in the shape.
  Overrides:
    `contains` in class `Shapes`
  Following copied from class: `com.vistech.shapes.Shapes`
  Parameters:
    `g` - the graphics context on which the shape was drawn.
    `x` - the coordinate of the point that is being checked for containment.
    `y` - the coordinate of the point that is being checked for containment.

### drawSmallRects

    public void drawSmallRects(java.awt.Graphics2D g)

  Description copied from class: `Shapes`
  Draws small rectangle at the shape corners to indicate that the shape is active. For example, a shape that is being moved is surrounded by small rectagles at the shape corners. small rectab
  Overrides:
    `drawSmallRects` in class `Shapes`
  Following copied from class: `com.vistech.shapes.Shapes`
  Parameters:
    `g` - the graphics context on which the shape was drawn.

### draw

    public void draw(java.awt.Graphics2D g)

  Description copied from interface: `Drawable`
  Draws the shape permanently, which happens when the mouse is released.
  Specified by:
    `draw` in interface `Drawable`
  Following copied from interface: `com.vistech.shapes.Drawable`
  Parameters:
    `g` - the graphcs context on which the shape is drawn.

### move

    public void move(java.awt.Graphics2D g,
                     int diffx,
                     int diffy)

  Description copied from interface: `Drawable`
  Moves the shape by a specified displacement.
  Specified by:
    `move` in interface `Drawable`
  Following copied from interface: `com.vistech.shapes.Drawable`
  Parameters:
    `x` - the displacement.
    `y` - the displacement.

### erase

    public void erase(java.awt.Graphics2D g)

  Description copied from interface: `Drawable`
  Erase the shape.
  Specified by:
    `erase` in interface `Drawable`
  Following copied from interface: `com.vistech.shapes.Drawable`
  Parameters:
    `g` - the graphcs context on which the shape was drawn.

### fill

    public void fill(java.awt.Graphics2D g,
                     java.awt.Color color)

  Fills with a given color.
  Specified by:
    `fill` in interface `Fillable`
  Parameters:
    `g` - the graphics object on which the shape is to be drawn

### saveCurShape

    public Shapes saveCurShape(java.awt.Graphics2D g,
                               int shCnt)

  Draws and returns itself. shCount is set by the caller.
  Parameters:
    `g` - the graphics object on which the shape is to be drawn.
    `shCnt` - the shape count.

### drawEllipse

    public void drawEllipse(java.awt.Graphics2D g)

### fillEllipse

    public void fillEllipse(java.awt.Graphics2D g)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD